Package Details: deepin-wine-quarkclouddrive 3.0.5spark3-5

Git Clone URL: https://aur.archlinux.org/deepin-wine-quarkclouddrive.git (read-only, click to copy)
Package Base: deepin-wine-quarkclouddrive
Description: 夸克网盘是夸克推出的一款云服务产品,可轻松进行照片、视频、文档、音频等文件的在线备份、同步和分享,并支持电脑/手机/iPad端等多个端。
Upstream URL: https://pan.quark.cn/
Keywords: quark quarkclouddrive 夸克 夸克网盘
Licenses: LicenseRef-custom
Conflicts: quarkclouddrive
Provides: quarkclouddrive
Submitter: zxp19821005
Maintainer: zxp19821005
Last Packager: zxp19821005
Votes: 2
Popularity: 0.003093
First Submitted: 2023-02-19 04:15 (UTC)
Last Updated: 2024-04-16 01:18 (UTC)

Latest Comments

1 2 Next › Last »

zxp19821005 commented on 2024-04-16 01:18 (UTC)

@howcanoewang 感谢反馈,应该是我没有添加spark-transhell这个依赖导致的,已修复。

howcanoewang commented on 2024-04-15 15:21 (UTC)

在Manajro上启动会报错,请问是否有解决思路?

$ deepin-wine-quarkclouddrive --no-sandbox -u %u

/opt/deepinwine/tools/spark_run_v4.sh: 行 13: /opt/durapps/transhell/transhell.sh: 没有那个文件或目录
/opt/deepinwine/tools/spark_run_v4.sh: 行 14: load_transhell_debug: 未找到命令
[DEBUG] Using system 7z as unpacker
[DEBUG] run Deepin-QuarkCloudDrive progress pid
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  10
  Current serial number in output stream:  10
/opt/deepinwine/tools/spark_run_v4_app_configs/Deepin-QuarkCloudDrive.sh 文件不存在,执行通用启动
Don't use public dir
Tue Apr 16 12:13:09 AM JST 2024:kill Deepin-QuarkCloudDrive block
Tue Apr 16 12:13:09 AM JST 2024:tag bottle: /home/hwang/.deepinwine/Deepin-QuarkCloudDrive
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/dbus/bus.py", line 173, in activate_name_owner
    return self.get_name_owner(bus_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/bus.py", line 348, in get_name_owner
    return self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/connection.py", line 634, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: The name does not have an owner

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/deepinwine/tools/spark_get_tray_window", line 22, in <module>
    get_tray_window()
  File "/opt/deepinwine/tools/spark_get_tray_window", line 11, in get_tray_window
    traymanager = bus.get_object("com.deepin.dde.TrayManager", "/com/deepin/dde/TrayManager")
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/bus.py", line 237, in get_object
    return self.ProxyObjectClass(self, bus_name, object_path,
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/proxies.py", line 250, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/bus.py", line 178, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3.11/site-packages/dbus/bus.py", line 273, in start_service_by_name
    return (True, self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/dbus/connection.py", line 634, in call_blocking
    reply_message = self.send_message_with_reply_and_block(
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name is not activatable
grep: 警告:/ 前有多余的 \

# 省略一些重复的警告 /前面有多余的 \

cat: /proc/1257603/cmdlinexargs: warning: options --max-lines and --replace/-I/-i are mutually exclusive, ignoring previous --max-lines value
grep: 警告:/ 前有多余的 \
grep: 警告:/ 前有多余的 \
grep: 警告:/ 前有多余的 \
grep: 警告:/ 前有多余的 \
: 没有那个文件或目录
cat: /proc/1257603/maps: 没有那个文件或目录
grep: 警告:/ 前有多余的 \
hwang    1257962 1257177  0 00:13 pts/1    00:00:00 grep -E hwang.*exe.*<defunct>
/opt/deepinwine/tools/spark_run_v4.sh: 第 192 行:cd: C:/windows/command: 没有那个文件或目录
/home/hwang
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  10
  Current serial number in output stream:  10
检测到的缩放倍数为:1.0
Scale is 1.0
用deepin-wine8-stable执行指令
指令为
env WINEPREFIX=/home/hwang/.deepinwine/Deepin-QuarkCloudDrive deepin-wine8-stable reg ADD 'HKCU\Control Panel\Desktop' /v LogPixels /t REG_DWORD /d 96 /f
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  10
  Current serial number in output stream:  10
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  20 (X_GetProperty)
  Resource id in failed request:  0x0
  Serial number of failed request:  10
  Current serial number in output stream:  10

zxp19821005 commented on 2024-04-09 08:39 (UTC)

@lyhokia 感谢反馈,已修复。

lyhokia commented on 2024-04-08 04:12 (UTC)

脚本的第19行有问题

if [ -n "$EXPO{RT_ENVS" ];then

删掉那个左括号就好了

zxp19821005 commented on 2024-02-09 02:18 (UTC)

@wada1212 感谢你的反馈,已经在.desktop文件中做了修改。

wada1212 commented on 2024-02-08 02:30 (UTC)

@zxp19821005 作者,你好,我从网上找了个帖子,提示说增加--no-sandbox即可启动,不太清楚原理,但是我增加后确实好用了,不再提示gpu进程找不到了 deepin-wine-quarkclouddrive -u %u --no-sandbox

wada1212 commented on 2024-02-08 02:24 (UTC)

@zxp19821005 作者,你好,我这里启动的时候报错,提示gpu找不到,我的环境是通过vnc远程访问的,不知道是不是跟这个有关系,平台使用的是N5095CPU

[236:0208/102017.139:ERROR:gpu_process_host.cc(969)] GPU process launch failed: error_code=49
error日志打印加载动态文件失败 Error: Dynamic Linking Error: Win32 error 126
    at new DynamicLibrary (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\ffi-napi\lib\dynamic_
library.js:75:11)
    at new Library (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\ffi-napi\lib\library.js:47:1
0)
    at initDll (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\@ali\itrace-ulog-node\src\biz\in
dex.js:104:15)
    at Object.error (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\@ali\itrace-ulog-node\src\b
iz\index.js:243:5)
    at Object.error (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\dist\main\main.js:14:526098)
    at Log.<anonymous> (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\dist\main\main.js:14:525570)
    at Log.emit (node:events:390:28)
[236:0208/102017.333:ERROR:gpu_process_host.cc(969)] GPU process launch failed: error_code=49
error日志打印加载动态文件失败 Error: Dynamic Linking Error: Win32 error 126
    at new DynamicLibrary (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\ffi-napi\lib\dynamic_
library.js:75:11)
    at new Library (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\ffi-napi\lib\library.js:47:1
0)
    at initDll (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\@ali\itrace-ulog-node\src\biz\in
dex.js:104:15)
    at Object.error (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\node_modules\@ali\itrace-ulog-node\src\b
iz\index.js:243:5)
    at Object.error (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\dist\main\main.js:14:526098)
    at Log.<anonymous> (c:\Program Files (x86)\quark-cloud-drive\resources\app.asar\dist\main\main.js:14:525570)
    at Log.emit (node:events:390:28)
[236:0208/102017.515:ERROR:gpu_process_host.cc(969)] GPU process launch failed: error_code=49
[236:0208/102017.515:FATAL:gpu_data_manager_impl_private.cc(447)] GPU process isn't usable. Goodbye.
[236:0208/102017.516:ERROR:crashpad_client_win.cc(134)] crash server failed to launch, self-terminating

zxp19821005 commented on 2024-01-22 02:00 (UTC)

@dzhanghz 不知道能不能粘贴一下错误信息?如果实在不行的话,你在终端进入~/.cache/yay/deepin-wine-quarkclouddrive,然后运行命令:updpkgsums && makepkg -si试试看呢?

dzhanghz commented on 2024-01-20 15:48 (UTC)

大佬能明示下如何安装吗?初学小白用yay几次不成功,check错误。

w568w commented on 2023-09-18 07:05 (UTC)

@zxp19821005 我这里会报一样的错,但不影响正常启动和使用。猜测 Error: Dynamic Linking Error: Win32 error 126 是缺少相关 dll 文件,其他报错应该无关紧要…